<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>查看详情</title>
    <link rel="stylesheet" href="${ctxp}/static/plugin/assets/layui/css/layui.css">
    <link rel="stylesheet" href="${ctxp}/static/plugin/assets/common.css"/>
    <script type="text/javascript" src="${ctxp}/static/plugin/assets/jquery-3.2.1.min.js"></script>
    <script src="${ctxp}/static/plugin/assets/layui/layui.js"></script>
</head>
<style>
    .layui-input{ height: 28px; margin-top: 6px; background: whitesmoke;line-height: 28px}
    .layui-form-label { float: left; display: block;padding: 9px 15px;width: 100px;font-weight: 400;line-height: 20px;text-align: right;}
    .layui-table-view .layui-table {width:100%}
</style>
<body style="height: 100%">
<div class="layui-form-item" style="margin-top: 10px;">

    <fieldset class="layui-elem-field layui-field-title">
        <legend style="font-size: 15px;">分部分项</legend>
    </fieldset>
    <div class="layui-inline">
        <label class="layui-form-label">直接工程费</label>
        <div class="layui-input-inline">
            <input type="text" id="zjgcFee" autocomplete="off" class="layui-input" readonly="readonly" value="${data.zjgcFee}">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">人工费</label>
        <div class="layui-input-inline">
            <input type="text" id="originalRgCost" autocomplete="off" class="layui-input" readonly="readonly" value="${data.originalRgCost}">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">承包人采购</label>
        <div class="layui-input-inline">
            <input type="text" id="originalCbrCost" autocomplete="off" class="layui-input" readonly="readonly" value="${data.originalCbrCost}">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">发包人采购</label>
        <div class="layui-input-inline">
            <input type="text" id="originalFbrCost" autocomplete="off" class="layui-input" readonly="readonly" value="${data.originalFbrCost}">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">机械费</label>
        <div class="layui-input-inline">
            <input type="text" id="originalJxCost" autocomplete="off" class="layui-input" readonly="readonly" value="${data.originalJxCost}">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">合计金额</label>
        <div class="layui-input-inline">
            <input type="text" id="originalTotalCost"  autocomplete="off" class="layui-input" readonly="readonly" value="${data.originalTotalCost}">
        </div>
    </div>


    <fieldset class="layui-elem-field layui-field-title">
        <legend style="font-size: 15px;">共性分摊费用</legend>
    </fieldset>
    <div class="layui-inline">
        <label class="layui-form-label">措施费-1</label>
        <div class="layui-input-inline">
            <input type="text" id="measuresFee1" autocomplete="off" class="layui-input" readonly="readonly" value="${data.measuresFee1}">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">措施费-2</label>
        <div class="layui-input-inline">
            <input type="text" id="measuresFee2" autocomplete="off" class="layui-input" readonly="readonly" value="${data.measuresFee2}">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">措施费二</label>
        <div class="layui-input-inline">
            <input type="text" id="csf2" autocomplete="off" class="layui-input" readonly="readonly" value="<c:if test="${ empty data.measuresFee3 and not empty data.originalTotalCost}">0.0</c:if><c:if test="${ not empty data.measuresFee3}">${data.measuresFee3}</c:if>">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">其他费</label>
        <div class="layui-input-inline">
            <input type="text" id="otherCost" autocomplete="off" class="layui-input" readonly="readonly" value="${data.otherCost}">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">规费</label>
        <div class="layui-input-inline">
            <input type="text" id="fees" autocomplete="off" class="layui-input" readonly="readonly" value="${data.fees}">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">税金</label>
        <div class="layui-input-inline">
            <input type="text" id="tex" autocomplete="off" class="layui-input" readonly="readonly" value="${data.tex}">
        </div>
    </div>
    <%--<div class="layui-inline">
        <label class="layui-form-label">分摊费用</label>
        <div class="layui-input-inline">
            <input type="text" id="ftfy" autocomplete="off" class="layui-input" readonly="readonly" value="<c:if test="${ empty data.rgFtFee and not empty data.originalTotalCost}">0.0</c:if><c:if test="${ not empty data.rgFtFee}">${data.rgFtFee}</c:if>">
        </div>
    </div>--%>


</div>
<script>
    $(document).ready(function() {
      $("#zjgcFee").val(doIt($("#zjgcFee").val()));
      $("#originalRgCost").val(doIt($("#originalRgCost").val()));
      $("#originalCbrCost").val(doIt($("#originalCbrCost").val()));
      $("#originalFbrCost").val(doIt($("#originalFbrCost").val()));
      $("#originalJxCost").val(doIt($("#originalJxCost").val()));
      $("#originalTotalCost").val(doIt($("#originalTotalCost").val()));
      $("#measuresFee1").val(doIt($("#measuresFee1").val()));
      $("#measuresFee2").val(doIt($("#measuresFee2").val()));
      $("#csf2").val(doIt($("#csf2").val()));
      $("#otherCost").val(doIt($("#otherCost").val()));
      $("#fees").val(doIt($("#fees").val()));
      $("#tex").val(doIt($("#tex").val()));
      /*$("#ftfy").val(doIt($("#ftfy").val()));*/
    })
    function doIt(val){ //科学计数法
        if(val == null){
            return val;
        }
        var num = new Number(val);
        return num;
    }
</script>
</body>
</html>
